﻿@model IEnumerable<dal.Usuario>

<h2>Usuarios</h2>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Apellido)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Correo)
            </th>
            <th>
                Actions
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var usuario in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(u => usuario.Id)
                </td>
                <td>
                    @Html.DisplayFor(u => usuario.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(u => usuario.Apellido)
                </td>
                <td>
                    @Html.DisplayFor(u => usuario.Correo)
                </td>
                <td>
                    @Html.ActionLink("Edit", "edit", "usuario", new { id = usuario.Id })
                    |
                    @Html.ActionLink("Delete", "delete", "usuario", new { id = usuario.Id }, new { onclick = " return confirm('Esta seguro que quiere borrar el usuario?')" })
                </td>
            </tr>
        }

    </tbody>
</table>

@Html.ActionLink("Nuevo Usuario", "add", "usuario")
